# QwtCompassWindArrow Class Reference

An indicator for the wind direction. More...

`#include <qwt_dial_needle.h>`

Inheritance diagram for QwtCompassWindArrow:
[legend]

List of all members.

## Public Types

enum | Style { Style1, Style2 }

## Public Member Functions

virtual void | draw (QPainter *painter, const QPointF &center, double length, double direction, QPalette::ColorGroup=QPalette::Active) const
const QPalette & | palette () const
| QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
virtual void | setPalette (const QPalette &)

## Protected Member Functions

virtual void | drawKnob (QPainter *, double width, const QBrush &, bool sunken) const
virtual void | drawNeedle (QPainter *, double length, QPalette::ColorGroup) const

## Detailed Description

An indicator for the wind direction.

QwtCompassWindArrow shows the direction where the wind comes from.

- QPalette::Light
  Used for Style1, or the light half of Style2
- QPalette::Dark
  Used for the dark half of Style2

See also:
  QwtDial, QwtCompass

## Member Enumeration Documentation

enum QwtCompassWindArrow::Style

Style of the arrow.

Enumerator:

  Style1 | A needle pointing to the center.
  Style2 | A needle pointing to the center.

## Constructor & Destructor Documentation

QwtCompassWindArrow::QwtCompassWindArrow | ( | Style | style,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::gray`
| ) |  |

Constructor

Parameters:

  style | Arrow style
  light | Light color
  dark | Dark color

## Member Function Documentation

void QwtDialNeedle::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | length,
|  | double | direction,
|  | QPalette::ColorGroup | colorGroup = `QPalette::Active`
| ) |  | const`[virtual, inherited]`

Draw the needle

Parameters:

  painter | Painter
  center | Center of the dial, start position for the needle
  length | Length of the needle
  direction | Direction of the needle, in degrees counter clockwise
  colorGroup | Color group, used for painting

void QwtDialNeedle::drawKnob | ( | QPainter * | painter,
|  | double | width,
|  | const QBrush & | brush,
|  | bool | sunken
| ) |  | const`[protected, virtual, inherited]`

Draw the knob.

void QwtCompassWindArrow::drawNeedle | ( | QPainter * | painter,
|  | double | length,
|  | QPalette::ColorGroup | colorGroup
| ) |  | const`[protected, virtual]`

Draw the needle

Parameters:

  painter | Painter
  length | Length of the needle
  colorGroup | Color group, used for painting

Implements QwtDialNeedle.

const QPalette & QwtDialNeedle::palette | ( |  | ) | const`[inherited]`

Returns:
  the palette of the needle.

void QwtDialNeedle::setPalette | ( | const QPalette & | palette | ) | `[virtual, inherited]`

Sets the palette for the needle.

Parameters:

  palette | New Palette